Bug 289501 - clulog doesn't honor cluster configuration specification of log level in all cases
clulog doesn't honor cluster configuration specification of log level in all ...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rgmanager (Show other bugs)
5.1
All Linux
medium Severity low
: ---
: ---
Assigned To: Lon Hohberger
:
Depends On:
Blocks: 289521
  Show dependency treegraph
 
Reported: 2007-09-13 13:21 EDT by Lon Hohberger
Modified: 2009-04-16 18:37 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2008-0353
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 10:30:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Works around clulog bug; may be used on running systems (1.25 KB, patch)
2007-09-13 13:23 EDT, Lon Hohberger
no flags Details | Diff
Workaround for RHEL5/5.1. Apply using same methods. (1.33 KB, patch)
2007-09-13 13:27 EDT, Lon Hohberger
no flags Details | Diff

  None (edit)
Description Lon Hohberger 2007-09-13 13:21:18 EDT
Description of problem:

clulog -s 7 hi 

...does not work out of the box, even if /cluster/rm/@log_level is set to 7

Version-Release number of selected component (if applicable): 5.1 beta
How reproducible: 100%
Actual results: No log message, even if filtering in syslog.conf is turned off.
Expected results: Message.

Additional info: I have a script-level workaround which I will include here (it
may be deployed on running systems), but ultimately, the best course of action
is to fix it in the clulog command.
Comment 1 Lon Hohberger 2007-09-13 13:23:21 EDT
Created attachment 194791 [details]
Works around clulog bug; may be used on running systems

To apply:

  cd /usr/share/cluster; patch -p0 < /tmp/log-workaround.patch
Comment 2 Lon Hohberger 2007-09-13 13:24:40 EDT
Note: Previous patch was against 4.5, not 5.1.
Comment 3 Lon Hohberger 2007-09-13 13:27:21 EDT
Created attachment 194811 [details]
Workaround for RHEL5/5.1.  Apply using same methods.
Comment 4 Lon Hohberger 2007-09-13 13:37:14 EDT
[lhh@ayanami ~]$ md5sum log-workaround*
c87182c0b6d325b3a0404aaf64905214  log-workaround.patch
9532729a13d72364db87b99f2ef50386  log-workaround-RHEL5.patch
Comment 5 RHEL Product and Program Management 2007-10-15 23:39:49 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 9 errata-xmlrpc 2008-05-21 10:30:34 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0353.html

Note You need to log in before you can comment on or make changes to this bug.